Loading...
Searching...
No Matches
uhd::rfnoc::property_base_t Class Referenceabstract

`#include <uhd/rfnoc/property.hpp>`

Inheritance diagram for uhd::rfnoc::property_base_t:
[legend]

## Public Types

enum | access_t { NONE , RO = 0x1 , RW = 0x3 , RWLOCKED = 0x5 }

## Public Member Functions

| property_base_t (const std::string &id, const res_source_info &source_info)
virtual | ~property_base_t ()
const std::string & | get_id () const
| Gets the ID (name) of this property.
const res_source_info & | get_src_info () const
| Return the source info for this property.
virtual bool | is_dirty () const =0
| Query this property's dirty flag.
virtual bool | is_valid () const =0
| Query this property's valid flag.
bool | read_access_granted () const
| Returns true if this property can be read.
bool | write_access_granted () const
| Returns true if this property can be written to.
access_t | get_access_mode () const
| Return the current access mode.
virtual bool | equal (property_base_t *rhs) const =0
| Return true if rhs has the same type and value.
virtual std::unique_ptr< property_base_t > | clone (res_source_info)
| Create a copy of this property.
virtual void | force_dirty ()=0
virtual void | set_from_str (const std::string &new_val_str)=0

## Friends

class | prop_accessor_t

## Detailed Description

Base class for properties

## Member Enumeration Documentation

## access_t

enum uhd::rfnoc::property_base_t::access_t

Enumerator
NONE | Neither reading nor writing to this property is permitted.
RO | Read-Only.
RW | Read-Write.
RWLOCKED | Write is locked. This lets you call set(), but only if the value is unchanged.

## Constructor & Destructor Documentation

## property_base_t()

uhd::rfnoc::property_base_t::property_base_t | ( | const std::string & | id,
|  | const res_source_info & | source_info )

inline

## ~property_base_t()

virtual uhd::rfnoc::property_base_t::~property_base_t | ( |  | ) |

inline virtual

## Member Function Documentation

## clone()

virtual std::unique_ptr< property_base_t > uhd::rfnoc::property_base_t::clone | ( | res_source_info |  | ) |

inline virtual

Create a copy of this property.

Reimplemented in uhd::rfnoc::property_t< data_t >, uhd::rfnoc::property_t< double >, and uhd::rfnoc::property_t< int >.

## equal()

virtual bool uhd::rfnoc::property_base_t::equal | ( | property_base_t * | rhs | ) | const

pure virtual

Return true if rhs has the same type and value.

Implemented in uhd::rfnoc::dirtifier_t, uhd::rfnoc::property_t< data_t >, uhd::rfnoc::property_t< double >, and uhd::rfnoc::property_t< int >.

## force_dirty()

virtual void uhd::rfnoc::property_base_t::force_dirty | ( |  | ) |

pure virtual

Implemented in uhd::rfnoc::dirtifier_t, uhd::rfnoc::property_t< data_t >, uhd::rfnoc::property_t< double >, and uhd::rfnoc::property_t< int >.

## get_access_mode()

access_t uhd::rfnoc::property_base_t::get_access_mode | ( |  | ) | const

inline

Return the current access mode.

## get_id()

const std::string & uhd::rfnoc::property_base_t::get_id | ( |  | ) | const

inline

Gets the ID (name) of this property.

## get_src_info()

const res_source_info & uhd::rfnoc::property_base_t::get_src_info | ( |  | ) | const

inline

Return the source info for this property.

## is_dirty()

virtual bool uhd::rfnoc::property_base_t::is_dirty | ( |  | ) | const

pure virtual

Query this property's dirty flag.

Implemented in uhd::rfnoc::dirtifier_t, uhd::rfnoc::property_t< data_t >, uhd::rfnoc::property_t< double >, and uhd::rfnoc::property_t< int >.

## is_valid()

virtual bool uhd::rfnoc::property_base_t::is_valid | ( |  | ) | const

pure virtual

Query this property's valid flag.

Implemented in uhd::rfnoc::dirtifier_t, uhd::rfnoc::property_t< data_t >, uhd::rfnoc::property_t< double >, and uhd::rfnoc::property_t< int >.

## read_access_granted()

bool uhd::rfnoc::property_base_t::read_access_granted | ( |  | ) | const

inline

Returns true if this property can be read.

## set_from_str()

virtual void uhd::rfnoc::property_base_t::set_from_str | ( | const std::string & | new_val_str | ) |

pure virtual

Set this property's value using a string

This requires the underlying property type to be convertible from a string.

Exceptions

  uhd::runtime_error | if the underlying type has no conversion from a string

Implemented in uhd::rfnoc::dirtifier_t, uhd::rfnoc::property_t< data_t >, uhd::rfnoc::property_t< double >, and uhd::rfnoc::property_t< int >.

## write_access_granted()

bool uhd::rfnoc::property_base_t::write_access_granted | ( |  | ) | const

inline

Returns true if this property can be written to.

## Friends And Related Symbol Documentation

## prop_accessor_t

friend class prop_accessor_t

friend

The documentation for this class was generated from the following file:

- property.hpp